#
# spec file for package stream
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           stream
Version:        5.10
Release:        2.33
Summary:        Memory bandwidth benchmark
License:        NonFree
Group:          System/Benchmark
URL:            https://www.cs.virginia.edu/stream/
Source0:        https://www.cs.virginia.edu/stream/FTP/Code/stream.c
Source1:        https://www.cs.virginia.edu/stream/FTP/Code/mysecond.c
Source2:        https://www.cs.virginia.edu/stream/FTP/Code/stream.f
Source3:        https://www.cs.virginia.edu/stream/FTP/Code/LICENSE.txt
Source4:        https://www.cs.virginia.edu/stream/FTP/Code/HISTORY.txt
Source5:        https://www.cs.virginia.edu/stream/FTP/Code/READ.ME
BuildRequires:  gcc-fortran

%description
STREAM is the de facto industry standard benchmark for measuring sustained
memory bandwidth.

%prep
%setup -qTc
cp \
  %{SOURCE3} \
  %{SOURCE4} \
  %{SOURCE5} .

%build
# C version
cc %{optflags} -fopenmp %{SOURCE0} -o stream_c
# Fortran version
gfortran %{optflags} -fopenmp %{SOURCE1} %{SOURCE2} -o stream_f

%install
install -Dpm 0755 stream_c \
  %{buildroot}%{_bindir}/stream_c
install -Dpm 0755 stream_f \
  %{buildroot}%{_bindir}/stream_f

%files
%license LICENSE.txt
%doc HISTORY.txt READ.ME
%{_bindir}/stream_c
%{_bindir}/stream_f

%changelog
* Thu Mar  8 2018 mpluskal@suse.com
- Update spec file using spec-cleaner
* Sun Oct 23 2016 mpluskal@suse.com
- Initial package for version 5.10
